/*
Header file for GSPyInterface.cpp
*/

#ifndef __PY_HAVE__GSPyInterface
#define __PY_HAVE__GSPyInterface

#include <string>

/*
* XF_CLEANUP:99 - Called before the DLL is unloaded.
*/
enum XFMethodID {
	XF_PYCOMPILE_ERR = -9L,
	XF_INITIALIZE = 0,
	XF_CALCULATE = 1,
	XF_REP_VERSION = 2,
	XF_REP_ARGUMENTS = 3,
	XF_CLEANUP = 99
};
typedef enum XFMethodID XFMethodID;

enum XFStatusID {
	XF_SUCCESS = 0,
	XF_FAILURE = 1,
	XF_CLEANUP_NOW = 99,
	XF_FAILURE_WITH_MSG = -1L,
	XF_INCREASE_MEMORY = -2L
};
typedef enum XFStatusID XFStatusID;

static const char* PYMODNAME = "GSPyModule";
static const char* PYMODINITIALIZE = "InitializeSimulation";
static const char* PYMODCALCULATIONS = "DoCalcsAndReturnValues";
static const char* PYMODGETVERSION = "ReturnPyModuleVersion";
static const char* PYMODGETNUMINPUTS = "NumberOfInputs";
static const char* PYMODGETNUMOUTPUTS = "NumberOfOutputs";
static const char* PYMODFINALIZE = "FinalizeSimulation";

static const char* GSPYENVVAR = "GSPY";


#ifndef __PY_HAVE_API__GSPyInterface

#ifndef __PY_EXTERN_C
#ifdef __cplusplus
#define __PY_EXTERN_C extern "C"
#else
#define __PY_EXTERN_C extern
#endif
#endif

__PY_EXTERN_C __declspec(dllexport) void GSPyInterface(int, int *, double *, double *);

void ReturnErrorMsg(int, double *);
int InitRoutines(void);
int DoCalcsAndReturnValues(double *, double *);
double ReturnPyModuleVersion(void);
int NumInputsExpected(void);
int NumOutputsToProvide(void);
int WrapUpSimulation(void);
void PyCompileError(void);

#endif /* !__PY_HAVE_API__GSPyInterface */

#endif /* !__PY_HAVE__GSPyInterface */
